import * as React from "react";
export interface EmailSignupProps {
    email?: string;
    errorMessage?: string;
    isRequestPending?: boolean;
    onChange(key: string, value: string): void;
    onSubmit(): void;
}
export declare const EmailSignup: React.FunctionComponent<EmailSignupProps>;
